%     AERO LOAD - программа для нагружения агрегатов самолета распределенной нагрузкой
%     Copyright (C) 2018-2024  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function GW_Resize_Window(~,~)

global Graphic_Window_Handle;
global Graphics_Properties;

% Размер доступной области
Window_Inner_Size = get(Graphic_Window_Handle, 'Position');

% Изменение размера панели для области построения данных
Panel_For_Axes = findall(Graphic_Window_Handle, 'Tag', 'Panel_For_Axes');
set(Panel_For_Axes, 'Position', [1, 1, Window_Inner_Size(3)-Graphics_Properties.Side_Panel_Width, Window_Inner_Size(4)]);

% Изменение размера области построения системы координат
Axes_Handle_Coord = findall(Graphic_Window_Handle, 'Tag', 'Coord_Axes');
set(Axes_Handle_Coord, 'Position', [Graphics_Properties.Coord_Axes_Offset, Graphics_Properties.Coord_Axes_Offset, Graphics_Properties.Coord_Axes_Width, Graphics_Properties.Coord_Axes_Width]);

% Изменение размера группы вкладок и боковой панели
Matlab_Release = version('-release');

if (strcmp(Matlab_Release, '2014b') || str2double(Matlab_Release(1:4)) >= 2015)
    
    % Изменение размера группы вкладок
    Tab_Group = findall(Graphic_Window_Handle, 'Tag', 'Tab_Group');
    
    set(Tab_Group, 'Position', [Window_Inner_Size(3)-Graphics_Properties.Side_Panel_Width+1, 1, Graphics_Properties.Side_Panel_Width, Window_Inner_Size(4)]);
    drawnow;
    
    Tab_Geometry = findall(Graphic_Window_Handle, 'Tag', 'Tab_Geometry');
    Tab_Mesh = findall(Graphic_Window_Handle, 'Tag', 'Tab_Mesh');
    Tab_Diagrams = findall(Graphic_Window_Handle, 'Tag', 'Tab_Diagrams');
    Tab_Resultants = findall(Graphic_Window_Handle, 'Tag', 'Tab_Resultants');
    Tab_Fields = findall(Graphic_Window_Handle, 'Tag', 'Tab_Fields');
    
    % ##################### Вкладка Geometry #####################
    
    % Размеры вкладки
    Tab_Inner_Position = get(Tab_Geometry, 'InnerPosition');
    
    % Сдвиги
    Button_Shift = Graphics_Properties.Panel_Button_Size + Graphics_Properties.Panel_Inner_Offset;
    Text_Shift = Graphics_Properties.Panel_Textbox_High + Graphics_Properties.Panel_Inner_Offset + Graphics_Properties.Panel_Blocks_Offset;
    
    % Пустое текстовое поле (для исключения манипуляций в графическом окне при движении зажатого курсора по боковой панели)
    Text_Tab_Geometry = findall(Graphic_Window_Handle, 'Tag', 'Text_Tab_Geometry');
    set(Text_Tab_Geometry, 'OuterPosition', [1, 1, Tab_Inner_Position(3), Tab_Inner_Position(4)]);
    
    Plot_Geom_Button = findall(Graphic_Window_Handle, 'Tag', 'Plot_Geom_Button');
    set(Plot_Geom_Button, 'Position', [1 + Graphics_Properties.Panel_Left_Offset, 1 + Tab_Inner_Position(4) - Graphics_Properties.Panel_Top_Offset - Graphics_Properties.Plot_Erase_Button_High, ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Erase_Geom_Button = findall(Graphic_Window_Handle, 'Tag', 'Erase_Geom_Button');
    set(Erase_Geom_Button, 'Position', [Plot_Geom_Button.Position(1) + Plot_Geom_Button.Position(3) + Graphics_Properties.Panel_Inner_Offset, Plot_Geom_Button.Position(2), ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Text_Corner_Points = findall(Graphic_Window_Handle, 'Tag', 'Text_Corner_Points');
    set(Text_Corner_Points, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Plot_Geom_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Corner_Points_Button');
    set(Draw_Corner_Points_Button, 'Position', [Text_Corner_Points.OuterPosition(1), Text_Corner_Points.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Label_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Label_Corner_Points_Button');
    set(Label_Corner_Points_Button, 'Position', [Draw_Corner_Points_Button.Position(1) + Button_Shift, Draw_Corner_Points_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Coord_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Coord_Corner_Points_Button');
    set(Coord_Corner_Points_Button, 'Position', [Label_Corner_Points_Button.Position(1) + Button_Shift, Label_Corner_Points_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Text_Proj_Corner_Points = findall(Graphic_Window_Handle, 'Tag', 'Text_Proj_Corner_Points');
    set(Text_Proj_Corner_Points, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Corner_Points_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Proj_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Proj_Corner_Points_Button');
    set(Draw_Proj_Corner_Points_Button, 'Position', [Text_Proj_Corner_Points.Position(1), Text_Proj_Corner_Points.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Label_Proj_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Label_Proj_Corner_Points_Button');
    set(Label_Proj_Corner_Points_Button, 'Position', [Draw_Proj_Corner_Points_Button.Position(1) + Button_Shift, Draw_Proj_Corner_Points_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Coord_Proj_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Coord_Proj_Corner_Points_Button');
    set(Coord_Proj_Corner_Points_Button, 'Position', [Label_Proj_Corner_Points_Button.Position(1) + Button_Shift, Label_Proj_Corner_Points_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Text_Chord_Surface = findall(Graphic_Window_Handle, 'Tag', 'Text_Chord_Surface');
    set(Text_Chord_Surface, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Proj_Corner_Points_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Chord_Surface_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Chord_Surface_Button');
    set(Draw_Chord_Surface_Button, 'Position', [Text_Chord_Surface.OuterPosition(1), Text_Chord_Surface.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Chord_Surface_Param_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Chord_Surface_Param_Button');
    set(Draw_Chord_Surface_Param_Button, 'Position', [Draw_Chord_Surface_Button.Position(1), Draw_Chord_Surface_Button.Position(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Chord_Surface_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Chord_Surface_Translucency_Slider');
    set(Chord_Surface_Translucency_Slider, 'Position', [Draw_Chord_Surface_Button.Position(1) + Button_Shift, Draw_Chord_Surface_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Chord_Surface_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Chord_Surface_Translucency_Text');
    set(Chord_Surface_Translucency_Text, 'OuterPosition', [Chord_Surface_Translucency_Slider.Position(1) + Chord_Surface_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Chord_Surface_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    CS_Param_Span_Minus = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Span_Minus');
    set(CS_Param_Span_Minus, 'Position', [Draw_Chord_Surface_Param_Button.Position(1) + Button_Shift, Draw_Chord_Surface_Param_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Small_Button_Size)/2), Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    CS_Param_Span_Number = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Span_Number');
    set(CS_Param_Span_Number, 'OuterPosition', [CS_Param_Span_Minus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, CS_Param_Span_Minus.Position(2) + ...
        floor((Graphics_Properties.Small_Button_Size - Graphics_Properties.Number_Textbox_High)/2), Graphics_Properties.Param_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    CS_Param_Span_Plus = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Span_Plus');
    set(CS_Param_Span_Plus, 'Position', [CS_Param_Span_Number.Position(1) + CS_Param_Span_Number.Position(3) + Graphics_Properties.Panel_Inner_Offset, CS_Param_Span_Minus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    CS_Param_Chord_Minus = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Chord_Minus');
    set(CS_Param_Chord_Minus, 'Position', [CS_Param_Span_Plus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset*6, CS_Param_Span_Plus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    CS_Param_Chord_Number = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Chord_Number');
    set(CS_Param_Chord_Number, 'OuterPosition', [CS_Param_Chord_Minus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, ...
        CS_Param_Span_Number.Position(2), Graphics_Properties.Param_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    CS_Param_Chord_Plus = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Chord_Plus');
    set(CS_Param_Chord_Plus, 'Position', [CS_Param_Chord_Number.Position(1) + CS_Param_Chord_Number.Position(3) + Graphics_Properties.Panel_Inner_Offset, CS_Param_Chord_Minus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Text_Proj_Chord_Surface = findall(Graphic_Window_Handle, 'Tag', 'Text_Proj_Chord_Surface');
    set(Text_Proj_Chord_Surface, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Chord_Surface_Param_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Proj_Chord_Surface_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Proj_Chord_Surface_Button');
    set(Draw_Proj_Chord_Surface_Button, 'Position', [Text_Proj_Chord_Surface.OuterPosition(1), Text_Proj_Chord_Surface.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Proj_Chord_Surface_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Proj_Chord_Surface_Translucency_Slider');
    set(Proj_Chord_Surface_Translucency_Slider, 'Position', [Draw_Proj_Chord_Surface_Button.Position(1) + Button_Shift, Draw_Proj_Chord_Surface_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Proj_Chord_Surface_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Proj_Chord_Surface_Translucency_Text');
    set(Proj_Chord_Surface_Translucency_Text, 'OuterPosition', [Proj_Chord_Surface_Translucency_Slider.Position(1) + Proj_Chord_Surface_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Proj_Chord_Surface_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Draw_Proj_Chord_Surface_Param_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Proj_Chord_Surface_Param_Button');
    set(Draw_Proj_Chord_Surface_Param_Button, 'Position', [Draw_Proj_Chord_Surface_Button.Position(1), Draw_Proj_Chord_Surface_Button.Position(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Proj_CS_Param_Span_Minus = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Span_Minus');
    set(Proj_CS_Param_Span_Minus, 'Position', [Draw_Proj_Chord_Surface_Param_Button.Position(1) + Button_Shift, Draw_Proj_Chord_Surface_Param_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Small_Button_Size)/2), Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Proj_CS_Param_Span_Number = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Span_Number');
    set(Proj_CS_Param_Span_Number, 'OuterPosition', [Proj_CS_Param_Span_Minus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, Proj_CS_Param_Span_Minus.Position(2) + ...
        floor((Graphics_Properties.Small_Button_Size - Graphics_Properties.Number_Textbox_High)/2), Graphics_Properties.Param_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Proj_CS_Param_Span_Plus = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Span_Plus');
    set(Proj_CS_Param_Span_Plus, 'Position', [Proj_CS_Param_Span_Number.Position(1) + Proj_CS_Param_Span_Number.Position(3) + Graphics_Properties.Panel_Inner_Offset, Proj_CS_Param_Span_Minus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Proj_CS_Param_Chord_Minus = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Chord_Minus');
    set(Proj_CS_Param_Chord_Minus, 'Position', [Proj_CS_Param_Span_Plus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset*6, Proj_CS_Param_Span_Plus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Proj_CS_Param_Chord_Number = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Chord_Number');
    set(Proj_CS_Param_Chord_Number, 'OuterPosition', [Proj_CS_Param_Chord_Minus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, ...
        Proj_CS_Param_Span_Number.Position(2), Graphics_Properties.Param_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Proj_CS_Param_Chord_Plus = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Chord_Plus');
    set(Proj_CS_Param_Chord_Plus, 'Position', [Proj_CS_Param_Chord_Number.Position(1) + Proj_CS_Param_Chord_Number.Position(3) + Graphics_Properties.Panel_Inner_Offset, Proj_CS_Param_Chord_Minus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    % ##################### Вкладка Mesh #####################
    
    % Размеры вкладки
    Tab_Inner_Position = get(Tab_Mesh, 'InnerPosition');
    
    % Сдвиги
    Button_Shift = Graphics_Properties.Panel_Button_Size + Graphics_Properties.Panel_Inner_Offset;
    Text_Shift = Graphics_Properties.Panel_Textbox_High + Graphics_Properties.Panel_Inner_Offset + Graphics_Properties.Panel_Blocks_Offset;
    
    % Пустое текстовое поле (для исключения манипуляций в графическом окне при движении зажатого курсора по боковой панели)
    Text_Tab_Mesh = findall(Graphic_Window_Handle, 'Tag', 'Text_Tab_Mesh');
    set(Text_Tab_Mesh, 'OuterPosition', [1, 1, Tab_Inner_Position(3), Tab_Inner_Position(4)]);
    
    Plot_Mesh_Button = findall(Graphic_Window_Handle, 'Tag', 'Plot_Mesh_Button');
    set(Plot_Mesh_Button, 'Position', [1 + Graphics_Properties.Panel_Left_Offset, 1 + Tab_Inner_Position(4) - Graphics_Properties.Panel_Top_Offset - Graphics_Properties.Plot_Erase_Button_High, ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Erase_Mesh_Button = findall(Graphic_Window_Handle, 'Tag', 'Erase_Mesh_Button');
    set(Erase_Mesh_Button, 'Position', [Plot_Mesh_Button.Position(1) + Plot_Mesh_Button.Position(3) + Graphics_Properties.Panel_Inner_Offset, Plot_Mesh_Button.Position(2), ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Text_Mesh = findall(Graphic_Window_Handle, 'Tag', 'Text_Mesh');
    set(Text_Mesh, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Plot_Mesh_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Mesh_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Mesh_Button');
    set(Draw_Mesh_Button, 'Position', [Text_Mesh.OuterPosition(1), Text_Mesh.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Mesh_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Mesh_Translucency_Slider');
    set(Mesh_Translucency_Slider, 'Position', [Draw_Mesh_Button.Position(1) + Button_Shift, Draw_Mesh_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Mesh_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Mesh_Translucency_Text');
    set(Mesh_Translucency_Text, 'OuterPosition', [Mesh_Translucency_Slider.Position(1) + Mesh_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Mesh_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Draw_Normals_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Normals_Button');
    set(Draw_Normals_Button, 'Position', [Draw_Mesh_Button.Position(1), Draw_Mesh_Button.Position(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Text_Projected_Mesh = findall(Graphic_Window_Handle, 'Tag', 'Text_Projected_Mesh');
    set(Text_Projected_Mesh, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Normals_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Projected_Mesh_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Projected_Mesh_Button');
    set(Draw_Projected_Mesh_Button, 'Position', [Text_Projected_Mesh.OuterPosition(1), Text_Projected_Mesh.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Projected_Mesh_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Projected_Mesh_Translucency_Slider');
    set(Projected_Mesh_Translucency_Slider, 'Position', [Draw_Projected_Mesh_Button.Position(1) + Button_Shift, Draw_Projected_Mesh_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Projected_Mesh_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Projected_Mesh_Translucency_Text');
    set(Projected_Mesh_Translucency_Text, 'OuterPosition', [Projected_Mesh_Translucency_Slider.Position(1) + Projected_Mesh_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Projected_Mesh_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Draw_Projected_Normals_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Projected_Normals_Button');
    set(Draw_Projected_Normals_Button, 'Position', [Draw_Projected_Mesh_Button.Position(1), Draw_Projected_Mesh_Button.Position(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    % ##################### Вкладка Diagrams #####################
    
    % Размеры вкладки
    drawnow;
    Tab_Inner_Position = get(Tab_Diagrams, 'InnerPosition');
    
    % Сдвиги
    Button_Shift = Graphics_Properties.Panel_Button_Size + Graphics_Properties.Panel_Inner_Offset;
    Text_Shift = Graphics_Properties.Panel_Textbox_High + Graphics_Properties.Panel_Inner_Offset + Graphics_Properties.Panel_Blocks_Offset;
    
    % Пустое текстовое поле (для исключения манипуляций в графическом окне при движении зажатого курсора по боковой панели)
    Text_Tab_Diagrams = findall(Graphic_Window_Handle, 'Tag', 'Text_Tab_Diagrams');
    set(Text_Tab_Diagrams, 'OuterPosition', [1, 1, Tab_Inner_Position(3), Tab_Inner_Position(4)]);
    
    Plot_Diagrams_Button = findall(Graphic_Window_Handle, 'Tag', 'Plot_Diagrams_Button');
    set(Plot_Diagrams_Button, 'Position', [1 + Graphics_Properties.Panel_Left_Offset, 1 + Tab_Inner_Position(4) - Graphics_Properties.Panel_Top_Offset - Graphics_Properties.Plot_Erase_Button_High, ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Erase_Diagrams_Button = findall(Graphic_Window_Handle, 'Tag', 'Erase_Diagrams_Button');
    set(Erase_Diagrams_Button, 'Position', [Plot_Diagrams_Button.Position(1) + Plot_Diagrams_Button.Position(3) + Graphics_Properties.Panel_Inner_Offset, Plot_Diagrams_Button.Position(2), ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Text_Span_Load_Diag = findall(Graphic_Window_Handle, 'Tag', 'Text_Span_Load_Diag');
    set(Text_Span_Load_Diag, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Plot_Diagrams_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Span_Load_Diag_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Span_Load_Diag_Button');
    set(Draw_Span_Load_Diag_Button, 'Position', [Text_Span_Load_Diag.OuterPosition(1), Text_Span_Load_Diag.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Span_Load_Diag_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Span_Load_Diag_Translucency_Slider');
    set(Span_Load_Diag_Translucency_Slider, 'Position', [Draw_Span_Load_Diag_Button.Position(1) + Button_Shift, Draw_Span_Load_Diag_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Span_Load_Diag_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Span_Load_Diag_Translucency_Text');
    set(Span_Load_Diag_Translucency_Text, 'OuterPosition', [Span_Load_Diag_Translucency_Slider.Position(1) + Span_Load_Diag_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Span_Load_Diag_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Text_Pressure_Diag = findall(Graphic_Window_Handle, 'Tag', 'Text_Pressure_Diag');
    set(Text_Pressure_Diag, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Span_Load_Diag_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Pressure_Diag_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Pressure_Diag_Button');
    set(Draw_Pressure_Diag_Button, 'Position', [Text_Pressure_Diag.OuterPosition(1), Text_Pressure_Diag.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Pressure_Diag_Minus = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Diag_Minus');
    set(Pressure_Diag_Minus, 'Position', [Draw_Pressure_Diag_Button.Position(1) + Button_Shift, Draw_Pressure_Diag_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Small_Button_Size)/2), Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Pressure_Diag_Number = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Diag_Number');
    set(Pressure_Diag_Number, 'OuterPosition', [Pressure_Diag_Minus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, Pressure_Diag_Minus.Position(2) + ...
        floor((Graphics_Properties.Small_Button_Size - Graphics_Properties.Number_Textbox_High)/2), Graphics_Properties.Param_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Pressure_Diag_Plus = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Diag_Plus');
    set(Pressure_Diag_Plus, 'Position', [Pressure_Diag_Number.Position(1) + Pressure_Diag_Number.Position(3) + Graphics_Properties.Panel_Inner_Offset, Pressure_Diag_Minus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Pressure_Diag_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Diag_Translucency_Slider');
    set(Pressure_Diag_Translucency_Slider, 'Position', [Pressure_Diag_Plus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, Draw_Pressure_Diag_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset - 2*Graphics_Properties.Small_Button_Size - Graphics_Properties.Param_Textbox_Width - 3*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Pressure_Diag_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Diag_Translucency_Text');
    set(Pressure_Diag_Translucency_Text, 'OuterPosition', [Pressure_Diag_Translucency_Slider.Position(1) + Pressure_Diag_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Pressure_Diag_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Text_Pressure_Center = findall(Graphic_Window_Handle, 'Tag', 'Text_Pressure_Center');
    set(Text_Pressure_Center, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Pressure_Diag_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Pressure_Center_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Pressure_Center_Button');
    set(Draw_Pressure_Center_Button, 'Position', [Text_Pressure_Center.OuterPosition(1), Text_Pressure_Center.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Label_Pressure_Center_Button = findall(Graphic_Window_Handle, 'Tag', 'Label_Pressure_Center_Button');
    set(Label_Pressure_Center_Button, 'Position', [Draw_Pressure_Center_Button.Position(1) + Button_Shift, Draw_Pressure_Center_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Pressure_Center_Coord_Button = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Center_Coord_Button');
    set(Pressure_Center_Coord_Button, 'Position', [Label_Pressure_Center_Button.Position(1) + Button_Shift, Label_Pressure_Center_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Pressure_Center_Param_Coord_Button = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Center_Param_Coord_Button');
    set(Pressure_Center_Param_Coord_Button, 'Position', [Pressure_Center_Coord_Button.Position(1) + Button_Shift, Pressure_Center_Coord_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Text_Pressure_Centers_Line = findall(Graphic_Window_Handle, 'Tag', 'Text_Pressure_Centers_Line');
    set(Text_Pressure_Centers_Line, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Pressure_Center_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Pressure_Centers_Line_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Pressure_Centers_Line_Button');
    set(Draw_Pressure_Centers_Line_Button, 'Position', [Text_Pressure_Centers_Line.OuterPosition(1), Text_Pressure_Centers_Line.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    % ##################### Вкладка Resultants #####################
    
    % Размеры вкладки
    drawnow;
    Tab_Inner_Position = get(Tab_Resultants, 'InnerPosition');
    
    % Сдвиги
    Button_Shift = Graphics_Properties.Panel_Button_Size + Graphics_Properties.Panel_Inner_Offset;
    Text_Shift = Graphics_Properties.Panel_Textbox_High + Graphics_Properties.Panel_Inner_Offset + Graphics_Properties.Panel_Blocks_Offset;
    
    % Пустое текстовое поле (для исключения манипуляций в графическом окне при движении зажатого курсора по боковой панели)
    Text_Tab_Resultants = findall(Graphic_Window_Handle, 'Tag', 'Text_Tab_Resultants');
    set(Text_Tab_Resultants, 'OuterPosition', [1, 1, Tab_Inner_Position(3), Tab_Inner_Position(4)]);
    
    Plot_Resultants_Button = findall(Graphic_Window_Handle, 'Tag', 'Plot_Resultants_Button');
    set(Plot_Resultants_Button, 'Position', [1 + Graphics_Properties.Panel_Left_Offset, 1 + Tab_Inner_Position(4) - Graphics_Properties.Panel_Top_Offset - Graphics_Properties.Plot_Erase_Button_High, ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Erase_Resultants_Button = findall(Graphic_Window_Handle, 'Tag', 'Erase_Resultants_Button');
    set(Erase_Resultants_Button, 'Position', [Plot_Resultants_Button.Position(1) + Plot_Resultants_Button.Position(3) + Graphics_Properties.Panel_Inner_Offset, Plot_Resultants_Button.Position(2), ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Text_Summation_Point = findall(Graphic_Window_Handle, 'Tag', 'Text_Summation_Point');
    set(Text_Summation_Point, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Plot_Resultants_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Summation_Point_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Summation_Point_Button');
    set(Draw_Summation_Point_Button, 'Position', [Text_Summation_Point.OuterPosition(1), Text_Summation_Point.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Label_Summation_Point_Button = findall(Graphic_Window_Handle, 'Tag', 'Label_Summation_Point_Button');
        set(Label_Summation_Point_Button, 'Position', [Draw_Summation_Point_Button.Position(1) + Button_Shift, Draw_Summation_Point_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Summation_Point_Coord_Button = findall(Graphic_Window_Handle, 'Tag', 'Summation_Point_Coord_Button');
    set(Summation_Point_Coord_Button, 'Position', [Label_Summation_Point_Button.Position(1) + Button_Shift, Label_Summation_Point_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Text_Summ_Coord_System = findall(Graphic_Window_Handle, 'Tag', 'Text_Summ_Coord_System');
    set(Text_Summ_Coord_System, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Summation_Point_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Coord_System_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Coord_System_Button');
    set(Draw_Coord_System_Button, 'Position', [Text_Summ_Coord_System.OuterPosition(1), Text_Summ_Coord_System.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Text_Force_Resultant = findall(Graphic_Window_Handle, 'Tag', 'Text_Force_Resultant');
    set(Text_Force_Resultant, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Coord_System_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Force_Resultant_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Force_Resultant_Button');
    set(Draw_Force_Resultant_Button, 'Position', [Text_Force_Resultant.OuterPosition(1), Text_Force_Resultant.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Force_Pn_Pt_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Force_Pn_Pt_Button');
    set(Draw_Force_Pn_Pt_Button, 'Position', [Draw_Force_Resultant_Button.Position(1) + Button_Shift, Draw_Force_Resultant_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Force_XYZ_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Force_XYZ_Button');
    set(Draw_Force_XYZ_Button, 'Position', [Draw_Force_Pn_Pt_Button.Position(1) + Button_Shift, Draw_Force_Pn_Pt_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Text_Moment_Resultant = findall(Graphic_Window_Handle, 'Tag', 'Text_Moment_Resultant');
    set(Text_Moment_Resultant, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Force_Resultant_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Moment_Resultant_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Moment_Resultant_Button');
    set(Draw_Moment_Resultant_Button, 'Position', [Text_Moment_Resultant.OuterPosition(1), Text_Moment_Resultant.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Moment_XYZ_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Moment_XYZ_Button');
    set(Draw_Moment_XYZ_Button, 'Position', [Draw_Moment_Resultant_Button.Position(1) + Button_Shift, Draw_Moment_Resultant_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Text_Actual_Pressure_Center = findall(Graphic_Window_Handle, 'Tag', 'Text_Actual_Pressure_Center');
    set(Text_Actual_Pressure_Center, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Moment_Resultant_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Actual_Pressure_Center_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Actual_Pressure_Center_Button');
    set(Draw_Actual_Pressure_Center_Button, 'Position', [Text_Actual_Pressure_Center.OuterPosition(1), Text_Actual_Pressure_Center.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Label_Actual_Pressure_Center_Button = findall(Graphic_Window_Handle, 'Tag', 'Label_Actual_Pressure_Center_Button');
    set(Label_Actual_Pressure_Center_Button, 'Position', [Draw_Actual_Pressure_Center_Button.Position(1) + Button_Shift, Draw_Actual_Pressure_Center_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Actual_Pressure_Center_Coord_Button = findall(Graphic_Window_Handle, 'Tag', 'Actual_Pressure_Center_Coord_Button');
    set(Actual_Pressure_Center_Coord_Button, 'Position', [Label_Actual_Pressure_Center_Button.Position(1) + Button_Shift, Label_Actual_Pressure_Center_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Actual_Pressure_Center_Param_Coord_Button = findall(Graphic_Window_Handle, 'Tag', 'Actual_Pressure_Center_Param_Coord_Button');
    set(Actual_Pressure_Center_Param_Coord_Button, 'Position', [Actual_Pressure_Center_Coord_Button.Position(1) + Button_Shift, Actual_Pressure_Center_Coord_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    % ##################### Вкладка Fields #####################
    
    % Размеры вкладки
    drawnow;
    Tab_Inner_Position = get(Tab_Fields, 'InnerPosition');
    
    % Сдвиги
    Button_Shift = Graphics_Properties.Panel_Button_Size + Graphics_Properties.Panel_Inner_Offset;
    Text_Shift = Graphics_Properties.Panel_Textbox_High + Graphics_Properties.Panel_Inner_Offset + Graphics_Properties.Panel_Blocks_Offset;
    
    % Пустое текстовое поле (для исключения манипуляций в графическом окне при движении зажатого курсора по боковой панели)
    Text_Tab_Fields = findall(Graphic_Window_Handle, 'Tag', 'Text_Tab_Fields');
    set(Text_Tab_Fields, 'OuterPosition', [1, 1, Tab_Inner_Position(3), Tab_Inner_Position(4)]);
    
    Plot_Fields_Button = findall(Graphic_Window_Handle, 'Tag', 'Plot_Fields_Button');
    set(Plot_Fields_Button, 'Position', [1 + Graphics_Properties.Panel_Left_Offset, 1 + Tab_Inner_Position(4) - Graphics_Properties.Panel_Top_Offset - Graphics_Properties.Plot_Erase_Button_High, ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Erase_Fields_Button = findall(Graphic_Window_Handle, 'Tag', 'Erase_Fields_Button');
    set(Erase_Fields_Button, 'Position', [Plot_Fields_Button.Position(1) + Plot_Fields_Button.Position(3) + Graphics_Properties.Panel_Inner_Offset, Plot_Fields_Button.Position(2), ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Text_CID_Distr_Load = findall(Graphic_Window_Handle, 'Tag', 'Text_CID_Distr_Load');
    set(Text_CID_Distr_Load, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Plot_Fields_Button.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_CID_Distr_Load_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_CID_Distr_Load_Button');
    set(Draw_CID_Distr_Load_Button, 'Position', [Text_CID_Distr_Load.OuterPosition(1), Text_CID_Distr_Load.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Button_Group_Field_Type = findall(Graphic_Window_Handle, 'Tag', 'Button_Group_Field_Type');
    set(Button_Group_Field_Type, 'Position', [Graphics_Properties.Panel_Left_Offset, Draw_CID_Distr_Load_Button.Position(2) - (4*Graphics_Properties.Radio_Button_Box_High+5) - Graphics_Properties.Panel_Inner_Offset*3, Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset + 2, 4*Graphics_Properties.Radio_Button_Box_High+5]);
    
    Radio_Button_Forces = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_Forces');
    set(Radio_Button_Forces, 'Position', [10, 6+2*Graphics_Properties.Radio_Button_Box_High, Button_Group_Field_Type.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Radio_Button_Forces_Areas = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_Forces_Areas');
    set(Radio_Button_Forces_Areas, 'Position', [10, 6+Graphics_Properties.Radio_Button_Box_High, Button_Group_Field_Type.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Radio_Button_Forces_Proj_Areas = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_Forces_Proj_Areas');
    set(Radio_Button_Forces_Proj_Areas, 'Position', [10, 6, Button_Group_Field_Type.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Button_Group_Application_Point = findall(Graphic_Window_Handle, 'Tag', 'Button_Group_Application_Point');
    set(Button_Group_Application_Point, 'Position', [Graphics_Properties.Panel_Left_Offset, Button_Group_Field_Type.Position(2) - Graphics_Properties.Panel_Inner_Offset*3 - (3*Graphics_Properties.Radio_Button_Box_High+5), Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset + 2, 3*Graphics_Properties.Radio_Button_Box_High+5]);
    
    Radio_Button_Mesh = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_Mesh');
    set(Radio_Button_Mesh, 'Position', [10, 6+Graphics_Properties.Radio_Button_Box_High, Button_Group_Application_Point.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Radio_Button_Proj_Mesh = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_Proj_Mesh');
    set(Radio_Button_Proj_Mesh, 'Position', [10, 6, Button_Group_Application_Point.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Button_Group_Vectors = findall(Graphic_Window_Handle, 'Tag', 'Button_Group_Vectors');
    set(Button_Group_Vectors, 'Position', [Graphics_Properties.Panel_Left_Offset, Button_Group_Application_Point.Position(2) - Graphics_Properties.Panel_Inner_Offset*3 - (3*Graphics_Properties.Radio_Button_Box_High+5), Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset + 2, 3*Graphics_Properties.Radio_Button_Box_High+5]);
    
    Radio_Button_From_Point = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_From_Point');
    set(Radio_Button_From_Point, 'Position', [10, 6+Graphics_Properties.Radio_Button_Box_High, Button_Group_Vectors.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Radio_Button_To_Point = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_To_Point');
    set(Radio_Button_To_Point, 'Position', [10, 6, Button_Group_Vectors.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Text_Pressure = findall(Graphic_Window_Handle, 'Tag', 'Text_Pressure');
    set(Text_Pressure, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Button_Group_Vectors.Position(2) - Text_Shift, ...
        Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Pressure_Field_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Pressure_Field_Button');
    set(Draw_Pressure_Field_Button, 'Position', [Text_Pressure.OuterPosition(1), Text_Pressure.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Pressure_Pn_Pt_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Pressure_Pn_Pt_Button');
    set(Draw_Pressure_Pn_Pt_Button, 'Position', [Draw_Pressure_Field_Button.Position(1) + Button_Shift, Draw_Pressure_Field_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Button_Group_Pressure_Vectors = findall(Graphic_Window_Handle, 'Tag', 'Button_Group_Pressure_Vectors');
    set(Button_Group_Pressure_Vectors, 'Position', [Graphics_Properties.Panel_Left_Offset, Draw_Pressure_Field_Button.Position(2) - (3*Graphics_Properties.Radio_Button_Box_High+5) - Graphics_Properties.Panel_Inner_Offset*3, Tab_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset + 2, 3*Graphics_Properties.Radio_Button_Box_High+5]);
    
    Radio_Button_From_Point_Pressure = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_From_Point_Pressure');
    set(Radio_Button_From_Point_Pressure, 'Position', [10, 6+Graphics_Properties.Radio_Button_Box_High, Button_Group_Pressure_Vectors.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Radio_Button_To_Point_Pressure = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_To_Point_Pressure');
    set(Radio_Button_To_Point_Pressure, 'Position', [10, 6, Button_Group_Pressure_Vectors.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
else
    
    % Изменение размера боковой панели и всех элементов
    Side_Panel = findall(Graphic_Window_Handle, 'Tag', 'Side_Panel');
    set(Side_Panel, 'Position', [Window_Inner_Size(3)-Graphics_Properties.Side_Panel_Width+1, 1, Graphics_Properties.Side_Panel_Width, Window_Inner_Size(4)]);
    
    % Размеры панели
    drawnow;
    Side_Panel_Inner_Position = get(Side_Panel, 'InnerPosition');
    
    % Сдвиги
    Button_Shift = Graphics_Properties.Panel_Button_Size + Graphics_Properties.Panel_Inner_Offset;
    Text_Shift = Graphics_Properties.Panel_Textbox_High + Graphics_Properties.Panel_Inner_Offset + Graphics_Properties.Panel_Blocks_Offset;
    
    % Пустое текстовое поле (для исключения манипуляций в графическом окне при движении зажатого курсора по боковой панели)
    Text_Side_Panel = findall(Graphic_Window_Handle, 'Tag', 'Text_Side_Panel');
    set(Text_Side_Panel, 'OuterPosition', [1, 1, Side_Panel_Inner_Position(3), Side_Panel_Inner_Position(4)]);
    
    Plot_Geom_Button = findall(Graphic_Window_Handle, 'Tag', 'Plot_Geom_Button');
    set(Plot_Geom_Button, 'Position', [1, 1, Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Erase_Geom_Button = findall(Graphic_Window_Handle, 'Tag', 'Erase_Geom_Button');
    set(Erase_Geom_Button, 'Position', [Plot_Geom_Button.Position(1) + Plot_Geom_Button.Position(3) + Graphics_Properties.Panel_Inner_Offset, Plot_Geom_Button.Position(2), ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Text_Geometry_SP = findall(Graphic_Window_Handle, 'Tag', 'Text_Geometry_SP');
    set(Text_Geometry_SP, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, 1 + Side_Panel_Inner_Position(4) - Graphics_Properties.Panel_Top_Offset - Graphics_Properties.Panel_Textbox_High, ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Corner_Points_Button');
    set(Draw_Corner_Points_Button, 'Position', [Text_Geometry_SP.OuterPosition(1), Text_Geometry_SP.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Label_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Label_Corner_Points_Button');
    set(Label_Corner_Points_Button, 'Position', [Draw_Corner_Points_Button.Position(1) + Button_Shift, Draw_Corner_Points_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Coord_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Coord_Corner_Points_Button');
    set(Coord_Corner_Points_Button, 'Position', [Label_Corner_Points_Button.Position(1) + Button_Shift, Label_Corner_Points_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Proj_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Proj_Corner_Points_Button');
    set(Draw_Proj_Corner_Points_Button, 'Position', [Draw_Corner_Points_Button.Position(1), Draw_Corner_Points_Button.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Label_Proj_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Label_Proj_Corner_Points_Button');
    set(Label_Proj_Corner_Points_Button, 'Position', [Draw_Proj_Corner_Points_Button.Position(1) + Button_Shift, Draw_Proj_Corner_Points_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Coord_Proj_Corner_Points_Button = findall(Graphic_Window_Handle, 'Tag', 'Coord_Proj_Corner_Points_Button');
    set(Coord_Proj_Corner_Points_Button, 'Position', [Label_Proj_Corner_Points_Button.Position(1) + Button_Shift, Label_Proj_Corner_Points_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Chord_Surface_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Chord_Surface_Button');
    set(Draw_Chord_Surface_Button, 'Position', [Draw_Proj_Corner_Points_Button.OuterPosition(1), Draw_Proj_Corner_Points_Button.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Chord_Surface_Param_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Chord_Surface_Param_Button');
    set(Draw_Chord_Surface_Param_Button, 'Position', [Draw_Chord_Surface_Button.Position(1) + Button_Shift, Draw_Chord_Surface_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Chord_Surface_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Chord_Surface_Translucency_Slider');
    set(Chord_Surface_Translucency_Slider, 'Position', [Draw_Chord_Surface_Param_Button.Position(1) + Button_Shift, Draw_Chord_Surface_Param_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - 2*Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Chord_Surface_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Chord_Surface_Translucency_Text');
    set(Chord_Surface_Translucency_Text, 'OuterPosition', [Chord_Surface_Translucency_Slider.Position(1) + Chord_Surface_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Chord_Surface_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    CS_Param_Span_Minus = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Span_Minus');
    set(CS_Param_Span_Minus, 'Position', [1, 1, Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    CS_Param_Span_Number = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Span_Number');
    set(CS_Param_Span_Number, 'OuterPosition', [CS_Param_Span_Minus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, CS_Param_Span_Minus.Position(2) + ...
        floor((Graphics_Properties.Small_Button_Size - Graphics_Properties.Number_Textbox_High)/2), Graphics_Properties.Param_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    CS_Param_Span_Plus = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Span_Plus');
    set(CS_Param_Span_Plus, 'Position', [CS_Param_Span_Number.Position(1) + CS_Param_Span_Number.Position(3) + Graphics_Properties.Panel_Inner_Offset, CS_Param_Span_Minus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    CS_Param_Chord_Minus = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Chord_Minus');
    set(CS_Param_Chord_Minus, 'Position', [CS_Param_Span_Plus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset*6, CS_Param_Span_Plus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    CS_Param_Chord_Number = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Chord_Number');
    set(CS_Param_Chord_Number, 'OuterPosition', [CS_Param_Chord_Minus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, ...
        CS_Param_Span_Number.Position(2), Graphics_Properties.Param_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    CS_Param_Chord_Plus = findall(Graphic_Window_Handle, 'Tag', 'CS_Param_Chord_Plus');
    set(CS_Param_Chord_Plus, 'Position', [CS_Param_Chord_Number.Position(1) + CS_Param_Chord_Number.Position(3) + Graphics_Properties.Panel_Inner_Offset, CS_Param_Chord_Minus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Draw_Proj_Chord_Surface_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Proj_Chord_Surface_Button');
    set(Draw_Proj_Chord_Surface_Button, 'Position', [Draw_Chord_Surface_Button.OuterPosition(1), Draw_Chord_Surface_Button.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Proj_Chord_Surface_Param_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Proj_Chord_Surface_Param_Button');
    set(Draw_Proj_Chord_Surface_Param_Button, 'Position', [Draw_Proj_Chord_Surface_Button.Position(1) + Button_Shift, Draw_Proj_Chord_Surface_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Proj_Chord_Surface_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Proj_Chord_Surface_Translucency_Slider');
    set(Proj_Chord_Surface_Translucency_Slider, 'Position', [Draw_Proj_Chord_Surface_Param_Button.Position(1) + Button_Shift, Draw_Proj_Chord_Surface_Param_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - 2*Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Proj_Chord_Surface_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Proj_Chord_Surface_Translucency_Text');
    set(Proj_Chord_Surface_Translucency_Text, 'OuterPosition', [Proj_Chord_Surface_Translucency_Slider.Position(1) + Proj_Chord_Surface_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Proj_Chord_Surface_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Proj_CS_Param_Span_Minus = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Span_Minus');
    set(Proj_CS_Param_Span_Minus, 'Position', [1, 1, Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Proj_CS_Param_Span_Number = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Span_Number');
    set(Proj_CS_Param_Span_Number, 'OuterPosition', [Proj_CS_Param_Span_Minus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, Proj_CS_Param_Span_Minus.Position(2) + ...
        floor((Graphics_Properties.Small_Button_Size - Graphics_Properties.Number_Textbox_High)/2), Graphics_Properties.Param_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Proj_CS_Param_Span_Plus = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Span_Plus');
    set(Proj_CS_Param_Span_Plus, 'Position', [Proj_CS_Param_Span_Number.Position(1) + Proj_CS_Param_Span_Number.Position(3) + Graphics_Properties.Panel_Inner_Offset, Proj_CS_Param_Span_Minus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Proj_CS_Param_Chord_Minus = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Chord_Minus');
    set(Proj_CS_Param_Chord_Minus, 'Position', [Proj_CS_Param_Span_Plus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset*6, Proj_CS_Param_Span_Plus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Proj_CS_Param_Chord_Number = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Chord_Number');
    set(Proj_CS_Param_Chord_Number, 'OuterPosition', [Proj_CS_Param_Chord_Minus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, ...
        Proj_CS_Param_Span_Number.Position(2), Graphics_Properties.Param_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Proj_CS_Param_Chord_Plus = findall(Graphic_Window_Handle, 'Tag', 'Proj_CS_Param_Chord_Plus');
    set(Proj_CS_Param_Chord_Plus, 'Position', [Proj_CS_Param_Chord_Number.Position(1) + Proj_CS_Param_Chord_Number.Position(3) + Graphics_Properties.Panel_Inner_Offset, Proj_CS_Param_Chord_Minus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Plot_Mesh_Button = findall(Graphic_Window_Handle, 'Tag', 'Plot_Mesh_Button');
    set(Plot_Mesh_Button, 'Position', [1, 1, Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Erase_Mesh_Button = findall(Graphic_Window_Handle, 'Tag', 'Erase_Mesh_Button');
    set(Erase_Mesh_Button, 'Position', [Plot_Mesh_Button.Position(1) + Plot_Mesh_Button.Position(3) + Graphics_Properties.Panel_Inner_Offset, Plot_Mesh_Button.Position(2), ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Text_Mesh_SP = findall(Graphic_Window_Handle, 'Tag', 'Text_Mesh_SP');
    set(Text_Mesh_SP, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Proj_Chord_Surface_Button.Position(2) - Text_Shift, ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Mesh_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Mesh_Button');
    set(Draw_Mesh_Button, 'Position', [Text_Mesh_SP.OuterPosition(1), Text_Mesh_SP.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Normals_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Normals_Button');
    set(Draw_Normals_Button, 'Position', [Draw_Mesh_Button.Position(1) + Button_Shift, Draw_Mesh_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Mesh_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Mesh_Translucency_Slider');
    set(Mesh_Translucency_Slider, 'Position', [Draw_Normals_Button.Position(1) + Button_Shift, Draw_Normals_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - 2*Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Mesh_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Mesh_Translucency_Text');
    set(Mesh_Translucency_Text, 'OuterPosition', [Mesh_Translucency_Slider.Position(1) + Mesh_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Mesh_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Draw_Projected_Mesh_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Projected_Mesh_Button');
    set(Draw_Projected_Mesh_Button, 'Position', [Draw_Mesh_Button.OuterPosition(1), Draw_Mesh_Button.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Projected_Normals_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Projected_Normals_Button');
    set(Draw_Projected_Normals_Button, 'Position', [Draw_Projected_Mesh_Button.Position(1) + Button_Shift, Draw_Projected_Mesh_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Projected_Mesh_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Projected_Mesh_Translucency_Slider');
    set(Projected_Mesh_Translucency_Slider, 'Position', [Draw_Projected_Normals_Button.Position(1) + Button_Shift, Draw_Projected_Normals_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - 2*Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Projected_Mesh_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Projected_Mesh_Translucency_Text');
    set(Projected_Mesh_Translucency_Text, 'OuterPosition', [Projected_Mesh_Translucency_Slider.Position(1) + Projected_Mesh_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Projected_Mesh_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Plot_Diagrams_Button = findall(Graphic_Window_Handle, 'Tag', 'Plot_Diagrams_Button');
    set(Plot_Diagrams_Button, 'Position', [1, 1, Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Erase_Diagrams_Button = findall(Graphic_Window_Handle, 'Tag', 'Erase_Diagrams_Button');
    set(Erase_Diagrams_Button, 'Position', [Plot_Diagrams_Button.Position(1) + Plot_Diagrams_Button.Position(3) + Graphics_Properties.Panel_Inner_Offset, Plot_Diagrams_Button.Position(2), ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Text_Diag_SP = findall(Graphic_Window_Handle, 'Tag', 'Text_Diag_SP');
    set(Text_Diag_SP, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Projected_Mesh_Button.Position(2) - Text_Shift, ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Span_Load_Diag_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Span_Load_Diag_Button');
    set(Draw_Span_Load_Diag_Button, 'Position', [Text_Diag_SP.OuterPosition(1), Text_Diag_SP.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Span_Load_Diag_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Span_Load_Diag_Translucency_Slider');
    set(Span_Load_Diag_Translucency_Slider, 'Position', [Draw_Span_Load_Diag_Button.Position(1) + Button_Shift, Draw_Span_Load_Diag_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Span_Load_Diag_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Span_Load_Diag_Translucency_Text');
    set(Span_Load_Diag_Translucency_Text, 'OuterPosition', [Span_Load_Diag_Translucency_Slider.Position(1) + Span_Load_Diag_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Span_Load_Diag_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Draw_Pressure_Diag_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Pressure_Diag_Button');
    set(Draw_Pressure_Diag_Button, 'Position', [Draw_Span_Load_Diag_Button.OuterPosition(1), Draw_Span_Load_Diag_Button.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Pressure_Diag_Minus = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Diag_Minus');
    set(Pressure_Diag_Minus, 'Position', [Draw_Pressure_Diag_Button.Position(1) + Button_Shift, Draw_Pressure_Diag_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Small_Button_Size)/2), Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Pressure_Diag_Number = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Diag_Number');
    set(Pressure_Diag_Number, 'OuterPosition', [Pressure_Diag_Minus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, Pressure_Diag_Minus.Position(2) + ...
        floor((Graphics_Properties.Small_Button_Size - Graphics_Properties.Number_Textbox_High)/2), Graphics_Properties.Param_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Pressure_Diag_Plus = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Diag_Plus');
    set(Pressure_Diag_Plus, 'Position', [Pressure_Diag_Number.Position(1) + Pressure_Diag_Number.Position(3) + Graphics_Properties.Panel_Inner_Offset, Pressure_Diag_Minus.Position(2), ...
        Graphics_Properties.Small_Button_Size, Graphics_Properties.Small_Button_Size]);
    
    Pressure_Diag_Translucency_Slider = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Diag_Translucency_Slider');
    set(Pressure_Diag_Translucency_Slider, 'Position', [Pressure_Diag_Plus.Position(1) + Graphics_Properties.Small_Button_Size + Graphics_Properties.Panel_Inner_Offset, Draw_Pressure_Diag_Button.Position(2) + ...
        floor((Graphics_Properties.Panel_Button_Size - Graphics_Properties.Panel_Slider_High)/2), ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset - Button_Shift - Graphics_Properties.Slider_Textbox_Width - ...
        2*Graphics_Properties.Panel_Inner_Offset - 2*Graphics_Properties.Small_Button_Size - Graphics_Properties.Param_Textbox_Width - 3*Graphics_Properties.Panel_Inner_Offset, Graphics_Properties.Panel_Slider_High]);
    
    Pressure_Diag_Translucency_Text = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Diag_Translucency_Text');
    set(Pressure_Diag_Translucency_Text, 'OuterPosition', [Pressure_Diag_Translucency_Slider.Position(1) + Pressure_Diag_Translucency_Slider.Position(3) + ...
        2*Graphics_Properties.Panel_Inner_Offset, Pressure_Diag_Translucency_Slider.Position(2) + floor((Graphics_Properties.Panel_Slider_High - Graphics_Properties.Number_Textbox_High)/2), ...
        Graphics_Properties.Slider_Textbox_Width, Graphics_Properties.Number_Textbox_High]);
    
    Draw_Pressure_Center_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Pressure_Center_Button');
    set(Draw_Pressure_Center_Button, 'Position', [Draw_Pressure_Diag_Button.OuterPosition(1), Draw_Pressure_Diag_Button.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Label_Pressure_Center_Button = findall(Graphic_Window_Handle, 'Tag', 'Label_Pressure_Center_Button');
    set(Label_Pressure_Center_Button, 'Position', [Draw_Pressure_Center_Button.Position(1) + Button_Shift, Draw_Pressure_Center_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Pressure_Center_Coord_Button = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Center_Coord_Button');
    set(Pressure_Center_Coord_Button, 'Position', [Label_Pressure_Center_Button.Position(1) + Button_Shift, Label_Pressure_Center_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Pressure_Center_Param_Coord_Button = findall(Graphic_Window_Handle, 'Tag', 'Pressure_Center_Param_Coord_Button');
    set(Pressure_Center_Param_Coord_Button, 'Position', [Pressure_Center_Coord_Button.Position(1) + Button_Shift, Pressure_Center_Coord_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Pressure_Centers_Line_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Pressure_Centers_Line_Button');
    set(Draw_Pressure_Centers_Line_Button, 'Position', [Pressure_Center_Param_Coord_Button.OuterPosition(1) + Button_Shift, Pressure_Center_Param_Coord_Button.OuterPosition(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Plot_Resultants_Button = findall(Graphic_Window_Handle, 'Tag', 'Plot_Resultants_Button');
    set(Plot_Resultants_Button, 'Position', [1, 1, Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Erase_Resultants_Button = findall(Graphic_Window_Handle, 'Tag', 'Erase_Resultants_Button');
    set(Erase_Resultants_Button, 'Position', [Plot_Resultants_Button.Position(1) + Plot_Resultants_Button.Position(3) + Graphics_Properties.Panel_Inner_Offset, Plot_Resultants_Button.Position(2), ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Text_Resultants_SP = findall(Graphic_Window_Handle, 'Tag', 'Text_Resultants_SP');
    set(Text_Resultants_SP, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Pressure_Center_Button.Position(2) - Text_Shift, ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_Summation_Point_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Summation_Point_Button');
    set(Draw_Summation_Point_Button, 'Position', [Text_Resultants_SP.OuterPosition(1), Text_Resultants_SP.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Label_Summation_Point_Button = findall(Graphic_Window_Handle, 'Tag', 'Label_Summation_Point_Button');
    set(Label_Summation_Point_Button, 'Position', [Draw_Summation_Point_Button.Position(1) + Button_Shift, Draw_Summation_Point_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Summation_Point_Coord_Button = findall(Graphic_Window_Handle, 'Tag', 'Summation_Point_Coord_Button');
    set(Summation_Point_Coord_Button, 'Position', [Label_Summation_Point_Button.Position(1) + Button_Shift, Label_Summation_Point_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Coord_System_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Coord_System_Button');
    set(Draw_Coord_System_Button, 'Position', [Summation_Point_Coord_Button.OuterPosition(1) + Button_Shift, Summation_Point_Coord_Button.OuterPosition(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Force_Resultant_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Force_Resultant_Button');
    set(Draw_Force_Resultant_Button, 'Position', [Draw_Summation_Point_Button.OuterPosition(1), Draw_Summation_Point_Button.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Force_Pn_Pt_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Force_Pn_Pt_Button');
    set(Draw_Force_Pn_Pt_Button, 'Position', [Draw_Force_Resultant_Button.Position(1) + Button_Shift, Draw_Force_Resultant_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Force_XYZ_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Force_XYZ_Button');
    set(Draw_Force_XYZ_Button, 'Position', [Draw_Force_Pn_Pt_Button.Position(1) + Button_Shift, Draw_Force_Pn_Pt_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Moment_Resultant_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Moment_Resultant_Button');
    set(Draw_Moment_Resultant_Button, 'Position', [Draw_Force_Resultant_Button.OuterPosition(1), Draw_Force_Resultant_Button.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Moment_XYZ_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Moment_XYZ_Button');
    set(Draw_Moment_XYZ_Button, 'Position', [Draw_Moment_Resultant_Button.Position(1) + Button_Shift, Draw_Moment_Resultant_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Actual_Pressure_Center_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Actual_Pressure_Center_Button');
    set(Draw_Actual_Pressure_Center_Button, 'Position', [Draw_Moment_Resultant_Button.OuterPosition(1), Draw_Moment_Resultant_Button.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Label_Actual_Pressure_Center_Button = findall(Graphic_Window_Handle, 'Tag', 'Label_Actual_Pressure_Center_Button');
    set(Label_Actual_Pressure_Center_Button, 'Position', [Draw_Actual_Pressure_Center_Button.Position(1) + Button_Shift, Draw_Actual_Pressure_Center_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Actual_Pressure_Center_Coord_Button = findall(Graphic_Window_Handle, 'Tag', 'Actual_Pressure_Center_Coord_Button');
    set(Actual_Pressure_Center_Coord_Button, 'Position', [Label_Actual_Pressure_Center_Button.Position(1) + Button_Shift, Label_Actual_Pressure_Center_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Actual_Pressure_Center_Param_Coord_Button = findall(Graphic_Window_Handle, 'Tag', 'Actual_Pressure_Center_Param_Coord_Button');
    set(Actual_Pressure_Center_Param_Coord_Button, 'Position', [Actual_Pressure_Center_Coord_Button.Position(1) + Button_Shift, Actual_Pressure_Center_Coord_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Plot_Fields_Button = findall(Graphic_Window_Handle, 'Tag', 'Plot_Fields_Button');
    set(Plot_Fields_Button, 'Position', [1, 1, Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Erase_Fields_Button = findall(Graphic_Window_Handle, 'Tag', 'Erase_Fields_Button');
    set(Erase_Fields_Button, 'Position', [Plot_Fields_Button.Position(1) + Plot_Fields_Button.Position(3) + Graphics_Properties.Panel_Inner_Offset, Plot_Fields_Button.Position(2), ...
        Graphics_Properties.Plot_Erase_Button_Width, Graphics_Properties.Plot_Erase_Button_High]);
    
    Text_Fields_SP = findall(Graphic_Window_Handle, 'Tag', 'Text_Fields_SP');
    set(Text_Fields_SP, 'OuterPosition', [1 + Graphics_Properties.Panel_Left_Offset, Draw_Actual_Pressure_Center_Button.Position(2) - Text_Shift, ...
        Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset, Graphics_Properties.Panel_Textbox_High]);
    
    Draw_CID_Distr_Load_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_CID_Distr_Load_Button');
    set(Draw_CID_Distr_Load_Button, 'Position', [Text_Fields_SP.OuterPosition(1), Text_Fields_SP.OuterPosition(2) - Button_Shift, ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Button_Group_Field_Type = findall(Graphic_Window_Handle, 'Tag', 'Button_Group_Field_Type');
    set(Button_Group_Field_Type, 'Position', [1, 1, Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset + 2, 4*Graphics_Properties.Radio_Button_Box_High+5]);
    
    Radio_Button_Forces = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_Forcesn');
    set(Radio_Button_Forces, 'Position', [10, 6+2*Graphics_Properties.Radio_Button_Box_High, Button_Group_Field_Type.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Radio_Button_Forces_Areas = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_Forces_Areas');
    set(Radio_Button_Forces_Areas, 'Position', [10, 6+Graphics_Properties.Radio_Button_Box_High, Button_Group_Field_Type.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Radio_Button_Forces_Proj_Areas = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_Forces_Proj_Areas');
    set(Radio_Button_Forces_Proj_Areas, 'Position', [10, 6, Button_Group_Field_Type.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Button_Group_Application_Point = findall(Graphic_Window_Handle, 'Tag', 'Button_Group_Application_Point');
    set(Button_Group_Application_Point, 'Position', [1, 1, Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset + 2, 3*Graphics_Properties.Radio_Button_Box_High+5]);
    
    Radio_Button_Mesh = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_Mesh');
    set(Radio_Button_Mesh, 'Position', [10, 6+Graphics_Properties.Radio_Button_Box_High, Button_Group_Application_Point.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Radio_Button_Proj_Mesh = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_Proj_Mesh');
    set(Radio_Button_Proj_Mesh, 'Position', [10, 6, Button_Group_Application_Point.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Button_Group_Vectors = findall(Graphic_Window_Handle, 'Tag', 'Button_Group_Vectors');
    set(Button_Group_Vectors, 'Position', [1, 1, Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset + 2, 3*Graphics_Properties.Radio_Button_Box_High+5]);
    
    Radio_Button_From_Point = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_From_Point');
    set(Radio_Button_From_Point, 'Position', [10, 6+Graphics_Properties.Radio_Button_Box_High, Button_Group_Vectors.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Radio_Button_To_Point = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_To_Point');
    set(Radio_Button_To_Point, 'Position', [10, 6, Button_Group_Vectors.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Draw_Pressure_Field_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Pressure_Field_Button');
    set(Draw_Pressure_Field_Button, 'Position', [Draw_CID_Distr_Load_Button.OuterPosition(1) + Button_Shift, Draw_CID_Distr_Load_Button.OuterPosition(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Draw_Pressure_Pn_Pt_Button = findall(Graphic_Window_Handle, 'Tag', 'Draw_Pressure_Pn_Pt_Button');
    set(Draw_Pressure_Pn_Pt_Button, 'Position', [Draw_Pressure_Field_Button.Position(1) + Button_Shift, Draw_Pressure_Field_Button.Position(2), ...
        Graphics_Properties.Panel_Button_Size, Graphics_Properties.Panel_Button_Size]);
    
    Button_Group_Pressure_Vectors = findall(Graphic_Window_Handle, 'Tag', 'Button_Group_Pressure_Vectors');
    set(Button_Group_Pressure_Vectors, 'Position', [1, 1, Side_Panel_Inner_Position(3) - Graphics_Properties.Panel_Left_Offset - Graphics_Properties.Panel_Right_Offset + 2, 3*Graphics_Properties.Radio_Button_Box_High+5]);
    
    Radio_Button_From_Point_Pressure = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_From_Point_Pressure');
    set(Radio_Button_From_Point_Pressure, 'Position', [10, 6+Graphics_Properties.Radio_Button_Box_High, Button_Group_Pressure_Vectors.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
    Radio_Button_To_Point_Pressure = findall(Graphic_Window_Handle, 'Tag', 'Radio_Button_To_Point_Pressure');
    set(Radio_Button_To_Point_Pressure, 'Position', [10, 6, Button_Group_Pressure_Vectors.Position(3) - 10, Graphics_Properties.Radio_Button_Box_High]);
    
end
